Subject: Re: bug#36435: ido mode C-x C-f not showing regular files in special instances

From: Michael Wu <[email-masked]>
Date: Mon, 15 Jul 2019 22:58:09 -0400

Uhh sure. Here it is.

#!/bin/bash

mkdir -p d1/d1 d1/d2 d2/d1 d2/d2 d1/d1/d1 d1/d1/d2 d2/d1/da d2/d1/db
touch d1/d1/{a..c} d2/d1/{1..3}

Were you able to reproduce the issue?

On Mon, Jul 8, 2019 at 7:00 PM Lars Ingebrigtsen <[email-masked]> wrote:

> Michael Wu <[email-masked]> writes:
>
> > Emacs 26.2.
> >
> > I do not know exactly the set of cases this bug appears, but here is a
> way (albeit
> > specific) that works every time for me.
> >
> > I have the following directory hierarchy:
> >
> > .
> > ├── d1
> > │   ├── d1
> > │   │   ├── a
> > │   │   ├── b
> > │   │   ├── c
> > │   │   ├── d1
> > │   │   └── d2
> > │   └── d2
> > └── d2
> >     ├── d1
> >     │   ├── 1
> >     │   ├── 2
> >     │   ├── 3
> >     │   ├── da
> >     │   └── db
> >     └── d2
> >
> > The d's are directories. If I make d1/d1 my working directory, and then
> do
> > (exactly this sequence of keys)
>
> Do you have a shell script that can create this hierarchy so that it's
> easier to reproduce?  :-)
>
> > C-x C-f, M-b, M-b, C-k, 2<TAB>, 1<TAB>
> >
> > I am shown only `da` and `db`, and not the files `1`, `2`, or `3`.
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>